<?php

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {

	

	global $settings, $main_style, $locale;

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";

	echo "<td align='left'><a href='http://alipapa.com.ua' target='_blank'><img src='".THEME."/images/subheader-left.png' alt='php-fusion news' /></a></td>\n";
	echo "<td class='sub-header' align='left' width='50%' height='35'>".showsublinks(" ".THEME_BULLET." ", "white")."</td>\n";

	echo "<td align='right' class='sub-header' width='50%'>".showsubdate()."</td>\n";

	echo "<td align='right'><img src='".THEME."/images/subheader-right.png'></td>\n";

	echo "</tr>\n</table>\n";

	//Header

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='left' class='full-header' width='100%'><img src='".THEME."images/logo2.png' width='300' height='150'></td>\n";
	echo "</tr>\n</table>\n";
	//Content

	echo "<table cellpadding='0' cellspacing='0' width='100%' class='$main_style'>\n<tr>\n";

	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }

	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";

	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }

	echo "</tr>\n</table>\n";

	

	//Footer

	echo "</tr>\n</table>\n";

  echo "<table cellpadding='0' cellspacing='0' width='100%'>";
  echo "<tr><td align='center'>".showcounter()." | ".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."<br />
      ".showcopyright()."</td>\n";
	echo "</tr>\n</table>\n";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";

	echo "<td align='left'><img src='".THEME."/images/cap-left.png'></td>\n";
	echo "<td class='capmain' width='100%'>".$subject."</td>\n";
	echo "<td align='right'><img src='".THEME."/images/cap-right.png'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr><tr>\n";
	echo "<td style='height:0px;background-color:#000;'></td>\n";
	echo "</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr><tr>\n";
	echo "<td style='height:0px;background-color:#000;'></td>\n";
	echo "</tr>\n</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td><img src='".THEME."/images/side-left.png' align='left'></td>\n";

	echo "<td class='scapmain' align='center' width='100%'>$title</td>\n";

	if ($collapse == true) {

		$boxname = str_replace(" ", "", $title);

		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";

	}

	echo "<td><img src='".THEME."/images/side-right.png' align='right'></td>\n";

	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	global $panel_collapse;
	if ($panel_collapse == true) { echo "</div>\n"; }	

	echo "</td>\n</tr>\n</table>\n";

	echo "<table cellspacing='0' cellpadding='0'><tr><td align='left'><img src='".THEME."/images/sideb-left.png'></td>
	<td align='center' class='sideb' width='100%'></td>
	<td align='right'><img src='".THEME."/images/sideb-right.png'></td>
	</tr></table>\n";

}
?>
