<?php

/**
 * @author Matej Krhin
 * @copyright 2008
 */

function returnDate($stamp){
	global $settings;
	$dan = strftime("%d",$stamp+($settings['timeoffset']*3600));
	$mesec = strftime("%m",$stamp+($settings['timeoffset']*3600));
	$leto = strftime("%y",$stamp+($settings['timeoffset']*3600));
	switch ($mesec){
		case 01 : $mesec = "januar"; break;
		case 02 : $mesec = "februar"; break;
		case 03 : $mesec = "marec"; break;
		case 04 : $mesec = "april"; break;
		case 05 : $mesec = "maj"; break;
		case 06 : $mesec = "junij"; break;
		case 07 : $mesec = "julij"; break;
		case 08 : $mesec = "avgust"; break;
		case 09 : $mesec = "september"; break;
		case 10 : $mesec = "oktober"; break;
		case 11 : $mesec = "november"; break;
		case 12 : $mesec = "december"; break;
	}
	return "$dan. $mesec $leto";
}

function avtornovice($info) {
	global $locale;
	$res = "<a href='profile.php?lookup=".$info['user_id']."' class='avtor'>".$info['user_name']."</a>, ";
	$res .= returnDate($info['news_date']);
	return "<!--news_poster-->".$res;
}

function opcijenovice($info) {
	global $locale; $res = "";
	if (!isset($_GET['readmore']) && $info['news_ext'] == "y") $res = "<a href='news.php?readmore=".$info['news_id']."'>".$locale['global_072']."</a> ".THEME_BULLET;
	if ($info['news_allow_comments']) $res .= " <a href='news.php?readmore=".$info['news_id']."#comments'>".$info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."</a> ".THEME_BULLET;
	if ($info['news_ext'] == "y" || $info['news_allow_comments']) $res .= " ".$info['news_reads'].$locale['global_074']." ".THEME_BULLET."\n";
	$res .= " <a href='print.php?type=N&amp;item_id=".$info['news_id']."'><img src='".get_image("printer")."' alt='".$locale['global_075']."' style='vertical-align:middle;border:0;' /></a>\n";
	return "<!--news_opts-->".$res;
}

function dodatno($item_type, $item_id) {
	global $locale, $aidlink;
	$res = "";
	if ($item_type == "N") {
		if (iADMIN && checkrights($item_type)) { $res = "<!--article_news_opts--> ".THEME_BULLET." <a href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$item_id."'><img src='".get_image("edit")."' alt='".$locale['global_076']."' title='".$locale['global_076']."' style='vertical-align:middle;border:0;' /></a>\n"; }
	} elseif ($item_type == "A") {
	if (iADMIN && checkrights($item_type)) { $res .= "<!--article_admin_opts--> &middot; <a href='".ADMIN."articles.php".$aidlink."&amp;action=edit&amp;article_id=".$item_id."'><img src='".get_image("edit")."' alt='".$locale['global_076']."' title='".$locale['global_076']."' style='vertical-align:middle;border:0;' /></a>\n"; }
	}
	return $res;
}

function navigacija(){
	$i = 0; $res = "";
	$sres = dbquery("SELECT * FROM ".DB_PREFIX."site_links WHERE link_position>='2' ORDER BY link_order");
	if (dbrows($sres) != 0) {
		while($sdata = dbarray($sres)) {
			if (checkgroup($sdata['link_visibility'])) {
				if ($sdata['link_url']!="---") {
					$link_target = $sdata['link_window'] == "1" ? " target='_blank'" : "";
					if (strstr($sdata['link_url'], "http://") || strstr($sdata['link_url'], "https://")) {
						//s http podatkom
						//if ($i != 0) $res .= "<li><a href=''><span>|</span></a></li>";
						$res .= "<li><a href='".$sdata['link_url']."'><span>".$sdata['link_name']."</span></a></li>";
					} else {
						//brez http podatka
						//if ($i != 0) $res .= "<li><a href=''><span>|</span></a></li>";
						$res .= "<li><a href='".BASEDIR.$sdata['link_url']."'><span>".$sdata['link_name']."</span></a></li>";
					}
				}
				$i++;
			}
		}
	}
	if ($i != 0) { return "<div id='navigacija'><ul>$res</ul></div>"; } else { return "prazno"; }
}

function newline($height){
	return "<table cellpadding='0' cellspacing='0' width='100%'>
		<tr>
			<td height='".$height."px'></td>
		</tr>
		</table>";
}

function showFontTools($mode){
	if($mode){
		return "<table cellpadding='0px' cellspacing='0px' width='80px'>
		<tr>
			<td><a href='".THEME."settings.php?font=zmanjsaj' alt='Zmanjaj pisavo' title='Zmanjaj pisavo'><img src='".THEME."images/down.png' height='10px' width='10px' border='0'></a> <a href='".THEME."settings.php' alt='Resetiraj pisavo' title='Resetiraj pisavo'><img src='".THEME."images/reset.png' height='10px' width='10px' border='0'></a> <a href='".THEME."settings.php?font=povecaj' alt='Poveaj pisavo' title='Poveaj pisavo'><img src='".THEME."images/up.png' height='10px' width='10px' border='0'></a></td>
		</tr>
		</table>";
	}
}

?>