<?php
/*-------------------------------------------------------+
| PHP-Fusion 7 Content Management System
| Copyright  2002 - 2007 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Theme: Area69
| Version: 2.0.0 - updated for PHP-Fusion v7
| Author: Sveinung Skjerseth
| Home: http://www.yafs.net/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "");
define("THEME_WIDTH", "98%");
$enable_column_switcher = true;
 //true=enable column switcher | false=disable column switcher
require_once INCLUDES."theme_functions_include.php";
require_once THEMES."templates/switcher.php";

$column_switcher = new Switcher("select", "columns", "png", "both", "switcherbutton");
if(!$enable_column_switcher){
	$column_switcher->disable();
}

function get_head_tags(){
global $column_switcher;
echo $column_switcher->makeHeadTag();
}
function render_page($license=false) {
	
	global $aidlink, $locale, $settings, $column_switcher, $main_style;

	//Site Wrapper
	echo " <table align='center' cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo " <td id='left-border'><a href='http://alipapa.com.ua' target='_blank'><img src='".THEME."images/bspace.gif' alt='php-fusion news' /></a></td>";
  echo " <td>\n";
  //Header
  echo " <table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo " <td class='full-header'>\n".showbanners()."</td>\n";
	echo " </tr><tr><td class='sub-header'>
          <div id='modernbricksmenu'>
                  <ul>
					
                    <li>".showsublinks(" ","modernbricksmenu")."</li>
                  </ul>
                  <div id='switcher'>".$column_switcher->makeForm("flright")."</div>\n               
          </div>\n";
  echo " </td></tr>\n</table>\n";
	
	//Content
  echo "<table cellpadding='0' cellspacing='0' width='100%' class='$main_style'>\n<tr>\n";
  echo "".(LEFT ? "<td id='side-border-left' valign='top'>".LEFT."</td>" : "")." ";
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	echo "".(RIGHT ? "<td id='side-border-right' valign='top'>".RIGHT."</td>" : "")." ";
	echo "</tr>\n</table>\n";
  		
	//Footer
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
  echo "<td class='bottom' width='100%'></td></tr>";
//	echo "<tr><td class='footer' style='text-align:center;'>".stripslashes($settings['footer'])."</td></tr>";
  echo "</table>";
  echo "<table cellpadding='0' cellspacing='0' width='100%'>";
  echo "<tr><td align='center'>".showcounter()." | ".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."<br />
      ".showcopyright()."</td>\n";
	echo "</tr>\n</table>\n";
  echo "</td>\n";
  echo "<td id='right-border'><img src='".THEME."images/bspace.gif' alt='' /></td>\n";
  echo "</tr>\n</table>\n";
}

//News
function render_news($subject, $news, $info) {

global $locale, $aidlink, $user_data;

  echo "<table cellpadding='0' cellspacing='0' width='100%' style='margin-top:5px'>\n<tr>\n
          <td class='news-capmain'>$subject</td><td class='news-capmainr' width='15'></td>
            </tr>\n<tr>\n
              <td class='main-body' colspan='2'>";
          echo "<div class='news-poster'>".$locale['global_070']." <a class='news' href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ".$locale['global_071'].showdate("longdate", $info['news_date'])."</div>\n";
          echo "$news";
            if (!isset($_GET['readmore']) && $info['news_ext'] == "y") { echo " <br /><img src='".THEME."images/readmore.gif' alt='' style='vertical-align:middle;border:0px;' /> <a href='news.php?readmore=".$info['news_id']."'><strong>".$locale['global_072']."</strong></a>";}
        echo "</td>
            </tr>\n<tr>\n
              <td class='news-footer' colspan='2'>\n";
          if ($info['news_allow_comments']) { echo " <img src='".THEME."images/comments.gif' alt='' style='vertical-align:middle;border:0px;' /> <a class='news' href='news.php?readmore=".$info['news_id']."'>".$info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."</a>";}
          echo " [<a class='news' href='print.php?type=N&amp;item_id=".$info['news_id']."'>".$locale['global_075']."</a>]"; 
          if (iADMIN && checkrights("N")) { echo " [<a class='news' href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$info['news_id']."'>".$locale['global_076']."</a>]\n"; }
  echo "      </td>\n
            </tr>\n
        </table>\n";
}

//Articles
function render_article($subject, $article, $info) {
	
  echo "<table width='100%' cellpadding='0' cellspacing='0' style='margin-top:5px'><tr>\n";
          echo "<td class='art-capmain'><img src='".THEME."images/art-capmain.gif' alt='+' style='vertical-align:middle;border:0px;'/>$subject</td>
        </tr>\n<tr>\n";
          echo "<td class='art-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>
        </tr>\n<tr>\n";
          echo "<td class='news-footer'>\n".articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id'])."</td>
        </tr>\n
      </table>\n";
}

//Panels 
function opentable($title) {

  echo "<table cellspacing='0' cellpadding='0' width='100%'>\n<tr>\n
            <td class='capmain'>$title</td>\n
          </tr>\n<tr>\n
            <td class='main-body'>\n";
}

function closetable() {

  echo "   </td>\n
          </tr>\n
        </table>\n";
}

//Sidepanels
function openside($title, $collapse = false, $state = "on") {

	global $p_data, $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";	
	
  if($p_data['panel_filename'] == "css_navigation_panel"){
	$panel_collapse = false;
	echo "<td></td>\n";
  } else if ($p_data['panel_filename'] == "user_info_panel"){
  echo "<td class='scapmain-user'>$title</td>\n";
  } else {  
  echo "<td class='scapmain'>$title</td>\n";
	}
  if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	
  if($p_data['panel_filename'] == "user_info_panel"){
  echo "<td id='side-body-user'>\n";
  
  }	else {
	echo "<td class='side-body'>\n";
  if ($collapse == true) { echo panelstate($state, $boxname); }
}
}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";

}
?>