<?php header("Content-type: text/css"); 
//dobimo velikost pisave
if (!isset($_COOKIE["font_size"]))
	$font = "11";
else
	$font = $_COOKIE["font_size"];

//backup za bedake in konje
if($font >= 20 & !iADMIN) $font = 20;
if($font <= 5 & !iADMIN) $font = 6;
?>

a {		/*oblika standardne povezave*/
	color : #005599;
	text-decoration : none;
}

a:hover {	/*oblika standardne povezave (mika preko)*/
	color : #005599;
	text-decoration : underline;
}

a.side {	/*oblika stranske povezave*/
	color : #005599;
	text-decoration : none;
}

a:hover.side {	/*oblika stranske povezave (mika preko)*/
	color : #005599;
	text-decoration : underline;
}

/*ZAETEK vasih uporabljeno za nogo*/
a.white, li.white a {
	color: #ddd;
	text-decoration: none;
}
a:hover.white, li.white a:hover {
	color: #ddd;
	text-decoration: underline;
}
/*KONEC*/

body {	/*okno brskalnika*/
	color : #555;
	background : #D3D3C5 url("images/bg.png") repeat-x;
	font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size : <?=$font?>px;
}

form {
	margin : 0px;
}

hr {	/*horizontalna rta (kot celica v tabeli)*/
	height : 1px;
	border : 1px solid #eee;
}

hr.side-hr {	/*stranska horizontalna rta (kot celica v tabeli)*/
	height : 1px;
	border : 1px solid #eee;
}

td {	/*nastavitve vseh celic v tabeli e le ta nima svojega stila*/
	font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size : <?=$font?>px;
}

pre {	/*vsebina med <pre> tagom je izpisana dobesedno tako kot je v kodi (http://www.w3schools.com/TAGS/tag_pre.asp)*/
	font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size : <?=$font?>px;
}

.alt {	/*BB koda za alt*/
	color : #005599;
}

.button {		/*gumb*/
	font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size : <?=$font?>px;
	color : #555;
	background-color : #f1f1f1;
	height : 20px;
	border : 1px solid #ccc;
	margin-top : 2px;
}

.bbcode {	/*okno posameznega BB gumba*/
	font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size : <?=$font-1?>px;
	color : #555;
	background-color : #f1f1f1;
	border : 1px solid #ccc;
	margin-top : 2px;
}

.textbox {		/*telo obrazca za besedilo*/
	font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size : <?=$font?>px;
	color : #555;
	background-color : #f8f8f8;
	border : 1px solid #ccc;
}

.main-body {	/*telo centralne palete in novice*/
	font-size : <?=$font?>px;
	color : #555;
	background-color : #fff;
	padding : 4px;
}

.side-body {	/*telo stranskih palet openside()*/
	font-size : <?=$font-1?>px;
	color : #777;
	padding : 4px;
}

.main-bg {		/*centralno okno (U_CENTER.CONTENT.L_CENTER)*/
	color : #555;
	background-color : #fff;
	padding : 0px 10px 5px 10px;
}

.admin-message {	/*sporoilo za admine*/
	font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size : <?=$font?>px;
	text-align : center;
	color : #555;
	background-color : #99CCFF;
	border : 1px solid #3366FF;
	padding : 3px 4px 5px 4px;
	margin-bottom : 5px;
}

.side-left .side-border-right {display: none;}
.side-right .side-border-left {display: none;}

.side-border-left {	/*okno levih stolpcev*/
	color : #777;
	background-color : #fff;
	padding : 0px;
	width: 175px;
}

.side-border-right {	/*okno desnih stolpcev*/
	color : #777;
	background-color : #fff;
	padding : 0px;
	width: 175px;
}

.center {	/*za sredinsko poravnavo (npr. setuser.php)*/
	margin : 0 auto;
}

.news-category {	/**!?!*/
	border:0px;
	margin:3px 5px 0 0;
	float:left;
}

.news-footer {	/*noga novice in lanka*/
	font-size : <?=$font-2?>px;
	font-style: italic;
	color : #555;
	padding : 0;
}

.capmain {	/*glava opentable()*/
	font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size : <?=$font?>px;
	font-weight : bold;
	color : #FFF;
	height: 25px;
	background : url('images/capmain.png') left no-repeat;
	padding : 8px;
}
.capmainr {	/*glava opentable()*/
	font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size : <?=$font?>px;
	font-weight : bold;
	color : #FFF;
	background : url('images/capmainr.png') right no-repeat;
	padding : 8px;
}

.news {	/*glava render_news()*/
	font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size : <?=$font?>px;
	font-weight : bold;
	color : #FFF;
	height: 25px;
	background : url('images/news.png') left no-repeat;
	padding : 8px;
}
.newsr {	/*glava render_news()*/
	font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size : <?=$font?>px;
	color : #FFF;
	background : url('images/newsr.png') right no-repeat;
	padding : 8px;
}
a.avtor, a:hover.avtor {	/*glava render_news()*/
	color : #FFF;
}

.scapmain {	/*glava openside()*/
	font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size : <?=$font?>px;
	font-weight : bold;
	color : #FFF;
	height: 25px;
	background : url('images/scamain.png') left no-repeat;
	padding : 8px;
}
.scapmainr {	/*glava openside()*/
	width: 10px;
	background : url('images/scamainr.png') right no-repeat;
	padding : 8px;
}

.tbl-border {	/*se uporablja pri obrobi foruma, prenosih in ponekod v administraciji*/
	border : 1px solid #e1e1e1;
}

.tbl {	/*okno za vpis komentarja, kategorije prenosov, lankov in FAQ, predlaganje novice..., urejanje profila */
	font-size : <?=$font?>px;
	color : #555;
	background-color : #fff;
	padding : 4px;
}

.tbl1 {		/*opis prenosa, imena forumov, okno postov v forumu, kategorije novic*/
	font-size : <?=$font?>px;
	color : #555;
	background-color : #fff;
	padding : 4px;
}

.tbl2 {		/*opis prenosa, slike in podatki foruma, navigacija administracije*/
	font-size : <?=$font?>px;
	color : #555;
	background-color : #f1f1f1;
	padding : 4px;
}

.forum-caption {	/*kategorija foruma*/
	font-size : <?=$font?>px;
	font-weight : bold;
	color : #888;
	background-color : #f1f1f1;
	padding : 2px 4px 4px 4px;
}

.quote {	/*okno citata*/
	font-size : <?=$font?>px;
	color : #555;
	background-color : #f8f8f8;
	padding : 4px;
	margin : 0px 20px 0px 20px;
	border : 1px solid #bbb;
}

.poll {		/*graf ankete*/
	height : 12px;
	border : 1px solid #bbb;
}

.comment-name {		/*ime v komentarju*/
	font-weight : bold;
	color : #005599;
}

.shoutboxname {		/*ime v klepetalnici*/
	font-weight : bold;
	color : #005599;
}

.shoutbox {			/*okno odgovora klepetalnice*/
	color : #777;
	padding-left: 4px;
}

.shoutboxdate {		/*datum v klepetalnici*/
	font-size : <?=$font-2?>px;
	color : #888;
}

.small {			/*BB koda za small*/
	font-size : <?=$font-2?>px;
	font-weight : normal;
}

.small2 {			/*BB koda za small alt*/
	font-size : <?=$font-2?>px;
	font-weight : normal;
	color : #555;
}

.side-small {		/*obmoje majhnega besedila za stranske palete*/
	font-size : <?=$font-2?>px;
	font-weight : normal;
	color : #555;
	background-color : #f6f6f6;
}

.side-label {		/*povdarjen del okna stranske palete (Forum Threads)*/
	color : #555;
	background-color : #f1f1f1;
	padding : 2px 2px 3px 2px;
}

/*TUKAJ SE ZANEJO POLJUBNI TAGI KI JIH POTREBUJE TA DIZAJN*/
.nav_l {
	height: 34px;
	width: 10px;
	background: url("images/nav_l.png") left no-repeat;
}
.nav_c {
	height: 34px;
	background: url("images/nav_c.png") repeat-x;
}
.nav_r {
	height: 34px;
	width: 10px;
	background: url("images/nav_r.png") right no-repeat;
}

.foot_l {
	height: 54px;
	width: 9px;
	background: url("images/foot_l.png") left no-repeat;
}
.foot_copyright {
	font-size: <?=$font-1?>px;
	height: 54px;
	background: url("images/foot_c.png") repeat-x;
}
.foot_c {
	height: 54px;
	background: url("images/foot_c.png") repeat-x;
}
.foot_r {
	height: 54px;
	width: 9px;
	background: url("images/foot_r.png") right no-repeat;
}
/*standard navigation*/
#navigacija {
	text-transform: uppercase;
	font-family: Arial,sans-serif; /*vrsta pisave*/
	font-size: 11px; /*velikost besedila*/
	line-height: 34px; /*viina ozadja*/
	padding-left: 0px; /*odmik z leve strani*/
}
#navigacija ul { margin: 0; padding: 0; list-style: none; }
#navigacija li { display: inline; margin: 0; padding: 0; }
#navigacija a { 
	float: left; 
	background: url('images/navi_l.png') no-repeat left top; /*levo ozadje*/
	margin: 0; 
	padding-left: 4px; /*irina odmika ozadja*/
	text-decoration: none; 
}
#navigacija a span { 
	float: left; 
	display: block; 
	background: url('images/navi_r.png') no-repeat right top; /*desno ozadje*/
	padding: 0px 10px 0px 6px; /*odmik besedila od roba zgoraj desno spodaj levo*/
	color: #FFF; /*barva pisave*/
}
#navigacija a span {float:none;}
#navigacija a:hover span { 
	color: #FFF; /*barva pisave - mika preko*/
	border: 0px; 
}
#navigacija a:hover { 
	background-position:0% -34px;/*viina ozadja*/ 
	border: 0px; 
}
#navigacija a:hover span { 
	background-position:100% -34px;/*viina ozadja*/ 
	border: 0px; 
}

/*login navigation*/
#login {
	font-weight: bold;
	text-transform: uppercase;
	font-family: Arial,sans-serif; /*vrsta pisave*/
	font-size: 10px; /*velikost besedila*/
	line-height: 34px; /*viina ozadja*/
	padding-left: 0px; /*odmik z leve strani*/
}
#login ul { margin: 0; padding: 0; list-style: none; }
#login li { display: inline; margin: 0; padding: 0; }
#login a { 
	float: left; 
	background: url('images/login_l.png') no-repeat left top; /*levo ozadje*/
	margin: 0; 
	padding-left: 4px; /*irina odmika ozadja*/
	text-decoration: none; 
}
#login a span { 
	float: left; 
	display: block; 
	background: url('images/login_r.png') no-repeat right top; /*desno ozadje*/
	padding: 0px 10px 0px 6px; /*odmik besedila od roba zgoraj desno spodaj levo*/
	color: #FFF; /*barva pisave*/
}
#login a span {float:none;}
#login a:hover span { 
	color: #FFF; /*barva pisave - mika preko*/
	border: 0px; 
}
#login a:hover { 
	background-position:0% -34px;/*viina ozadja*/ 
	border: 0px; 
}
#login a:hover span { 
	background-position:100% -34px;/*viina ozadja*/ 
	border: 0px; 
}

/*search navigation*/
#search {
	font-weight: bold;
	text-transform: uppercase;
	font-family: Arial,sans-serif; /*vrsta pisave*/
	font-size: 10px; /*velikost besedila*/
	line-height: 34px; /*viina ozadja*/
	padding-left: 0px; /*odmik z leve strani*/
}
#search ul { margin: 0; padding: 0; list-style: none; }
#search li { display: inline; margin: 0; padding: 0; }
#search a { 
	float: left; 
	background: url('images/search_l.png') no-repeat left top; /*levo ozadje*/
	margin: 0; 
	padding-left: 4px; /*irina odmika ozadja*/
	text-decoration: none; 
}
#search a span { 
	float: left; 
	display: block; 
	background: url('images/search_r.png') no-repeat right top; /*desno ozadje*/
	padding: 0px 10px 0px 6px; /*odmik besedila od roba zgoraj desno spodaj levo*/
	color: #FFF; /*barva pisave*/
}
#search a span {float:none;}
#search a:hover span { 
	color: #FFF; /*barva pisave - mika preko*/
	border: 0px; 
}
#search a:hover { 
	background-position:0% -34px;/*viina ozadja*/ 
	border: 0px; 
}
#search a:hover span { 
	background-position:100% -34px;/*viina ozadja*/ 
	border: 0px; 
}

.left_top {
	background: url('images/left_top.png');
	width: 9px;
	height: 9px;
}
.right_top {
	background: url('images/right_top.png');
	width: 9px;
	height: 9px;
}
.left_bottom {
	background: url('images/left_bottom.png');
	width: 9px;
	height: 9px;
}
.right_bottom {
	background: url('images/right_bottom.png');
	width: 9px;
	height: 9px;
}


/*KONEC POLJUBNIH TAGOV*/