<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: downloads.php
| Author: Alipapa
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
include LOCALE.LOCALESET."articles.php";
add_to_title($locale['global_200'].$locale['400']);

if (isset($_GET['article_id']) && isnum($_GET['article_id'])) {
	$result = dbquery(
		"SELECT ta.*,tac.*, tu.user_id,user_name FROM ".DB_ARTICLES." ta
		INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id
		LEFT JOIN ".DB_USERS." tu ON ta.article_name=tu.user_id
		WHERE ".groupaccess('article_cat_access')." AND article_id='".$_GET['article_id']."' AND article_draft='0'"
	);
	if (dbrows($result)) {
		require_once INCLUDES."comments_include.php";
		require_once INCLUDES."ratings_include.php";
		$data = dbarray($result);
		if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
		if ($_GET['rowstart'] == 0) { $result = dbquery("UPDATE ".DB_ARTICLES." SET article_reads=article_reads+1 WHERE article_id='".$_GET['article_id']."'"); }
		$article = stripslashes($data['article_article']);
		if (ereg('<--PAGEBREAK-->', $article)) {
			$article = explode("<--PAGEBREAK-->", $article);
		} else {
			$article = explode("<!-- pagebreak -->", $article);
		}
		$pagecount = count($article);
		$article_subject = stripslashes($data['article_subject']);
		$article_info = array(
			"article_id" => $data['article_id'],
			"user_id" => $data['user_id'],
			"user_name" => $data['user_name'],
			"article_date" => $data['article_datestamp'],
			"article_breaks" => $data['article_breaks'],
			"article_comments" => dbcount("(comment_id)", DB_COMMENTS, "comment_type='A' AND comment_item_id='".$data['article_id']."'"),
			"article_reads" => $data['article_reads'],
			"article_allow_comments" => $data['article_allow_comments']
		);
		add_to_title($locale['global_201'].$article_subject);
		echo "<!--pre_article-->";
		render_article($article_subject, $article[$_GET['rowstart']], $article_info);
		echo "<!--sub_article-->";
		if ($pagecount > 1) {
			echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 1, $pagecount, 3, FUSION_SELF."?article_id=".$_GET['article_id']."&amp;")."\n</div>\n";
		}
		if ($data['article_allow_comments']) { showcomments("A", DB_ARTICLES, "article_id", $_GET['article_id'], FUSION_SELF."?article_id=".$_GET['article_id']); }
		if ($data['article_allow_ratings']) { showratings("A", $_GET['article_id'], FUSION_SELF."?article_id=".$_GET['article_id']); }
	} else {
		redirect(FUSION_SELF);
	}
}

////////////////////////////////////////////////////////////////////////////////////////////////
$bt1="&nbsp;&nbsp;<a href='#' class='button' onClick=\"expandTree('tree1');return false;\"> </a>"; 
$bt2="&nbsp;&nbsp;<a href='#' class='button' onClick=\"collapseTree('tree1'); return false;\"> </a>";
  $r=mysql_query("SELECT * FROM ".DB_ARTICLE_CATS." WHERE ".groupaccess('article_cat_access')." ORDER BY article_cat_name");
  if(!$r) return false;
  $a_list=array();
  for($i=0;$i<mysql_num_rows($r);$i++){
    $f=mysql_fetch_assoc($r);
    if(empty($a_list[$f['article_cat_idc']]))
      $a_list[$f['article_cat_idc']]=array();
    $a_list[$f['article_cat_idc']][]=$f;
  }

  function tree_print(&$a_list,$article_cat_idc=0)
  {
    if(empty($a_list[$article_cat_idc])) return;

    if ($article_cat_idc==0)echo "<ul class=\"mktree\"  id=\"tree1\">\n"; else echo "<ul>\n";
    for($i=0;$i<count($a_list[$article_cat_idc]);$i++)
    {
      echo "<li>\n<a href='".FUSION_SELF."?cat_id=".$a_list[$article_cat_idc][$i]['article_cat_id'].
	  "' title='".$a_list[$article_cat_idc][$i]['article_cat_description']."'>".$a_list[$article_cat_idc][$i]['article_cat_name']."</a>\n";
      tree_print($a_list,$a_list[$article_cat_idc][$i]['article_cat_id']);
      echo "</li>\n";
    }
    echo "</ul>";
  }

if (!isset($_GET['cat_id']) || !isnum($_GET['cat_id'])) {
	opentable($locale['400'] . $bt1 . $bt2);
  //  :
  tree_print($a_list);
closetable();
}
//////////////////////////////////////////////////////////////////////////////////////////////

 else {
    if(!empty($a_list[$_GET['cat_id']])){
	opentable($locale['400'] . $bt1 . $bt2);
  tree_print($a_list,$_GET['cat_id']);
	closetable();
	}
	$res = 0;
	$result = dbquery("SELECT * FROM ".DB_ARTICLE_CATS." WHERE article_cat_id='".$_GET['cat_id']."'");
	if (dbrows($result) != 0) {
		$cdata = dbarray($result);
		if (checkgroup($cdata['article_cat_access'])) {
			$res = 1;
			add_to_title($locale['global_201'].$cdata['article_cat_name']);
			opentable($locale['400'].": ".$cdata['article_cat_name']);
			echo "<!--pre_article_cat-->";
			$rows = dbcount("(article_id)", DB_ARTICLES, "article_cat='".$_GET['cat_id']."' AND article_draft='0'");
			if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
			if ($rows != 0) {
				$result = dbquery(
			"SELECT ta.article_id, ta.article_subject, ta.article_snippet, ta.article_datestamp FROM ".DB_ARTICLES." ta
			WHERE article_cat='".$_GET['cat_id']."' AND article_draft='0' ORDER BY ".$cdata['article_cat_sorting']." LIMIT ".$_GET['rowstart'].",15"
				);
				
				$numrows = dbrows($result); $i = 1;
				while ($data = dbarray($result)) {
					if ($data['article_datestamp'] + 604800 > time() + ($settings['timeoffset'] * 3600)) {
						$new = "&nbsp;<span class='small'>[".$locale['402']."]</span>";
					} else {
						$new = "";
					}
					echo "<a href='".FUSION_SELF."?article_id=".$data['article_id']."'>".$data['article_subject']."</a>$new<br />\n".stripslashes($data['article_snippet']);
				echo ($i != $numrows ? "<br /><br />\n" : "\n"); $i++;
				}
				echo "<!--sub_article_cat-->";
				closetable();
				if ($rows > 15) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 15, $rows, 3, FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;")."\n</div>\n";
			} else {
				echo "<div style='text-align:center'>".$locale['403']."</div>\n";
				echo "<!--sub_article_cat-->";
				closetable();
			}
		}
	}
	if ($res == 0) { redirect(FUSION_SELF); }
}

require_once THEMES."templates/footer.php";
?>
